SOELIM(1)

NAME
soelim - eliminate .so's from nroff input

SYNOPSIS
soelim [ file ... ]

DESCRIPTION
Soelim reads the specified files or the standard input and performs the textual inclusion implied by the nroff directives of the form

    .so somefile

when they appear at the beginning of input lines. This is useful since programs such as tbl do not normally do this; it allows the placement of individual tables in separate files to be run as a part of a large document.

An argument consisting of a single minus (-) is taken to be a file name corresponding to the standard input.

Note that inclusion can be suppressed by using `'' instead of `.', i.e.

    'so /usr/share/tmac/tmac.s

A sample usage of soelim would be

    soelim exum?.n | tbl | nroff -ms | col | lpr

SEE ALSO
colcrt(1), more(1)

BUGS
The format of the source commands must involve no strangeness - exactly one blank must precede and no blanks follow the file name.